* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Barlow", sans-serif;
}

body {
    min-height: 100vh;
    background-image: url('/src/frontend/img/background/Home_fondo.png');
    height: 100vh;
    background-size: cover;
    background-attachment: fixed;
    background-repeat: no-repeat;
}

.blurred-header {
    position: fixed;
    width: 100%;
    z-index: 1;
    font-size: 1rem;
    background-color: rgba(33, 33, 33, 0.8);
    color: #fff;
}

.blurred-header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(33, 33, 33, 0.8);
    backdrop-filter: blur(10px);
    z-index: -1;
}

nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    height: 50px;
}

.nav-container {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    margin-right: auto;
}

.nav-container li {
    margin: 0 10px;
}

.nav-container a {
    text-decoration: none;
    color: #fff;
}

.menu-toggle {
    display: none;
}

.menu-toggle2 {
    display: none;
}

.nav-container li:hover {
    font-weight: bold;
}

main {
    padding-top: 1rem;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

a{
    text-decoration: none !important;
    color: #fff !important;
}

h1 {
    color: #fff !important;
    text-align: justify;
    font-weight: bold;
    margin-bottom: 20px;
}

.grid {
    display: grid;
    gap: 20px;
}

.grid-cols-1 {
    grid-template-columns: repeat(1, 1fr);
}

.sm\:grid-cols-2 {
    grid-template-columns: repeat(2, 1fr);
}

.md\:grid-cols-3 {
    grid-template-columns: repeat(3, 1fr);
}

.lg\:grid-cols-4 {
    grid-template-columns: repeat(4, 1fr);
}

.card {
    color: #fff !important;
    background-color: #212121 !important;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: transform 0.3s;
    height: 100%;
}

.card:hover {
    transform: translateY(-10px);

}

.card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card .p-6 {
    padding: 20px;
}

.card h3 {
    font-size: 1.25rem;
    margin-bottom: 10px;
}

.card p {
    color: #fff;
}

.card button {
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 1rem;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.card button:hover {
    background-color: #0056b3;
}

footer {
    background-color: transparent !important;
    color: #fff;
    padding-top: 20px;
    bottom: 0;
    text-align: center;
}

@media (max-width: 768px) {
    .grid {
        grid-template-columns: 1fr !important;
    }

    .nav-container {
        display: flex;
        flex-direction: column;
        width: 100%;
        background-color: rgba(33, 33, 33, 0.8);
        backdrop-filter: blur(10px);
        position: absolute;
        top: 50px;
        left: 0;
        opacity: 0;
        transform: translateY(-20px);
        transition: opacity 0.3s ease, transform 0.3s ease;
    }

    .nav-container.active {
        opacity: 1;
        transform: translateY(0);
    }

    .nav-container li {
        margin: 10px 0;
        text-align: center;
    }

    .menu-toggle {
        display: block;
    }

    .menu-toggle2{
        display: none;
        color: red;
        font-size: 1.5rem;
        margin-top: 1rem;
    }
}

.button {
    margin: 0;
    height: auto;
    background: transparent;
    padding: 0;
    border: none;
    cursor: pointer;
  }

  .button {
    --text-stroke-color: #fff;
    --fs-size: 1em;
    letter-spacing: 5px;
    text-decoration: none;
    font-size: var(--fs-size);
    position: relative;
    text-transform: uppercase;
    color: transparent;
    -webkit-text-stroke: 1px var(--text-stroke-color);
  }
  /* this is the text, when you hover on button */
  .hover-text {
    position: absolute;
    box-sizing: border-box;
    content: attr(data-text);
    color: var(--animation-color);
    background-color: #212121;
    width: 0%;
    height: 2rem;
    inset: 0;
    border-right: var(--border-right) solid var(--animation-color);
    overflow: hidden;
    transition: 0.5s;
    font-size: 10px;
    -webkit-text-stroke: 1px var(--animation-color);
  }

  .button:hover .hover-text {
    width: 100%;
    filter: drop-shadow(0 0 25px var(--animation-color))
  }

  @keyframes show {
    from{
        opacity: 0;
        scale: 25%;
    } 
    to{
        opacity: 1;
        scale: 100%;
    }
  }

  .card{
    view-timeline-name: --image;
    view-timeline-axis: block;

    animation-timeline: --image;
    animation-name: show;

    animation-range: entry 25% cover 30%;
    animation-fill-mode: both;
  }

  .card-text img{
    height: 2rem;
    width: auto;
    margin-right: 1rem;
  }